%define major 3
%define libname %mklibname gadu %{major}
%define develname %mklibname gadu -d

Name:		libgadu
Version:	1.11.2
Release:	%mkrel 6
Summary:	A Gadu-gadu protocol compatible library
License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		http://toxygen.net/libgadu
Source0:	http://toxygen.net/libgadu/files/%{name}-%{version}.tar.gz
BuildRequires:	gnutls-devel
BuildRequires:	doxygen

%description
The libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.


%package -n %{libname}
Summary:	A Gadu-gadu protocol compatibile library
Group:		Networking/Instant messaging

%description -n %{libname}
The libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.


%package -n %{develname}
Summary:	Development files for libgadu library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gadu-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname gadu 3 -d} < %{version}-%{release}
Obsoletes:	%{mklibname gadu -s -d} < %{version}-%{release}

%description -n %{develname}
Development files for libgadu library.


%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--with-pthread \
	--without-bind \
	--without-openssl \
	--with-c99-vsnprintf

%make

%install
%makeinstall_std

# don't ship .la
rm -f %{buildroot}%{_libdir}/%{name}.la

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Oct 25 2013 luigiwalser <luigiwalser> 1.11.2-6.mga4
+ Revision: 546903
- fix spelling error in package summary (mga#11525)

* Fri Oct 18 2013 umeabot <umeabot> 1.11.2-5.mga4
+ Revision: 506979
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.11.2-4.mga3
+ Revision: 357145
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 kamil <kamil> 1.11.2-3.mga3
+ Revision: 327397
- Rebuild for Mga3 Beta1

* Sat Dec 01 2012 kamil <kamil> 1.11.2-2.mga3
+ Revision: 324594
- rebuild for Mga3 Beta1

* Fri Jul 06 2012 fwang <fwang> 1.11.2-1.mga3
+ Revision: 268361
- new version 1.11.2

* Sun Jan 29 2012 kamil <kamil> 1.11.1-1.mga2
+ Revision: 202876
- new version 1.11.1

  + fwang <fwang>
    - rebuild for new gnutls

* Fri Jul 08 2011 ahmad <ahmad> 1.11.0-1.mga2
+ Revision: 120188
- Update to 1.11.0

* Thu Mar 31 2011 ahmad <ahmad> 1.10.1-1.mga1
+ Revision: 79345
- update to 1.10.1
- drop patch0, fixed upstream
- add BR gnutls-devel doxygen

* Thu Mar 24 2011 boklm <boklm> 1.9.1-4.mga1
+ Revision: 76167
- rebuild for bug #497

* Wed Mar 23 2011 ahmad <ahmad> 1.9.1-3.mga1
+ Revision: 76016
- rebuild for new glibc (attempting to fix a crash in kadu)

* Thu Jan 20 2011 ahmad <ahmad> 1.9.1-2.mga1
+ Revision: 26452
- don't ship .la
- drop old/unneeded scriptlets
- imported package libgadu

